<template>
  
    <div class="wrapper">
      <v-app-bar height="80px"
      class="desktop-menu"
      absolute>
          <div class="appbarwrapper">
              <router-link :to="{name: 'home'}"><img class="logo" alt="logo" src="../assets/logo.png" width="250vw"></router-link>

            <nav class="navigationDesktop" @mouseover.native="hover=false">
              <div class="main-nav" >
                <router-link :to="{name: 'home'}" class="navigation-links" @mouseover.native="hover=false">Home</router-link>
                <router-link :to="{name: 'about'}" class="navigation-links" @mouseover.native="hover=false">About Us</router-link>
                <router-link :event="clickable ? 'click' : ''" :to="{name: 'services'}"  class="navigation-links dropdown-head " @mouseover.native="hover=true">Our Services</router-link>
                <router-link :to="{name: 'contact'}" class="navigation-links" @mouseover.native="hover=false">Contact Us</router-link>
              </div>
              <div class="dropdown" v-if="hover"  @mouseleave="hover=false">
                <router-link :to="{name: 'distribution'}" class="services-navigation-links dist" >Distribution</router-link>
                <router-link :to="{name: 'grooming'}" class="services-navigation-links groom" >Professional Car Grooming Services</router-link>
                <router-link :to="{name: 'academy'}" class="services-navigation-links acad" >Academy</router-link>
              </div>
            </nav>
            </div>
      </v-app-bar>

        <!-- <v-btn class="nav-bar" @click.stop="drawer = !drawer"></v-btn> -->

    <v-app-bar height="80px"
      app
      class="drawer">
          <div class="appbarwrapper">
              <router-link :to="{name: 'home'}"><img class="logo" alt="logo" src="../assets/logo.png" width="250vw"></router-link>

              <v-btn
              class="nav-bar" 
              @click.stop="drawer = !drawer"
              color="#fffff" 
              width="40px"
              height="40px"
              rounded
              depressed
              tile
              >
              <v-icon color=#000 class="icons-menu">mdi-menu</v-icon>              
              </v-btn>

            </div>
      </v-app-bar>

            <v-navigation-drawer
                v-model="drawer"
                app
                touch-action: auto
                clipped
                class="drawer"
              >
                <v-list
                  nav
                  dense
                >
                  <v-list-item-group
                    v-model="group"
                    active-class="deep-grey--text text--accent-4"
                  >
                  <div class="menu-drawer">

                    <div class="menu-padding">
                    <v-list-item-title class="title">
                        <v-icon color=#ffff>mdi-menu</v-icon>
                      MENU
                    </v-list-item-title>
                    </div>
                      <v-divider></v-divider>
                    </div>
                  
                    <v-list-item class="menu-padding">
                      <v-icon color=#194a8d>mdi-home</v-icon>
                      <v-list-item-title >
                        <router-link :to="{name: 'home'}" class="navigation-links responsive-link">Home</router-link>
                      </v-list-item-title>
                    </v-list-item>
          
                    <v-list-item class="menu-padding">
                      <v-icon color=#194a8d>mdi-account-group</v-icon>
                      <v-list-item-title >
                        <router-link :to="{name: 'about'}" class="navigation-links responsive-link" >About Us</router-link>
                      </v-list-item-title>
                    </v-list-item>

                    <v-list-item @click.stop="drawer = !true" class="menu-padding">
                      <v-icon color=#194a8d>mdi-car</v-icon>
              
                      <v-list-item-title @click.stop="click = !click">
                        <router-link :event="clickable ? 'click' : ''" :to="{name: 'services'}"  class="navigation-links dropdown-head " >Our Services</router-link>                   
                      </v-list-item-title>
                        <v-icon disabled="" class="arrow-down">mdi-chevron-down</v-icon>
                    </v-list-item>
                     
                   <!-- <v-list-group class="menu-padding-service" v-on:click="select(drawer=true)" >
                      <template  v-slot:activator >
                      <v-icon color=#194a8d>mdi-car</v-icon>
                        <v-list-item-title class="navigation-links services">Our Services</v-list-item-title>
                      </template > --> 
                      <div v-if="click">
                      <v-list-item >
                            <router-link :to="{name: 'distribution'}" class="services-navigation-links dist responsive-link" >Distribution</router-link>  
                      </v-list-item>  
                      <v-list-item>
                            <router-link :to="{name: 'grooming'}" class="services-navigation-links groom responsive-link" >Professional Car Grooming Services</router-link>
                      </v-list-item>  
                      <v-list-item>
                            <router-link :to="{name: 'academy'}" class="services-navigation-links acad responsive-link" >Academy</router-link>
                      </v-list-item>  
                    <!-- </v-list-group> -->
                    </div>
           

                    <v-list-item class="menu-padding">
                      <v-icon color=#194a8d>mdi-phone</v-icon>
                      <v-list-item-title>
                        <router-link :to="{name: 'contact'}" class="navigation-links responsive-link ">Contact Us</router-link>                      
                      </v-list-item-title>
                    </v-list-item>
                  </v-list-item-group>
                </v-list>
              </v-navigation-drawer>

            <!-- <div class="navigationResponsive">
                <v-app class="test">
                <div class="text-center">
               <v-menu close-on-click light bottom  offset-y min-width=100% nudge-bottom=8>
                  <template v-slot:activator="{ on }">
                    <v-btn
                    class="menuButton"
                      color="primary"
                      v-on="on"
                      depressed
                      outlined
                      absolute
                      dark
                    >
                       <v-icon>mdi-menu</v-icon>
                    </v-btn>
                  </template>
                  
                  <v-list>
                    <v-list-item>
                      <v-list-item-title>
                        <router-link :to="{name: 'home'}" class="navigation-links responsive-link">Home</router-link>
                      <br>
                      <br>
                        <router-link :to="{name: 'about'}" class="navigation-links responsive-link">About Us</router-link>
                      <br>
                      <br>
                         <router-link :event="clickable ? 'click' : ''" :to="{name: 'services'}"  class="navigation-links dropdown-head responsive-link" >Our Services</router-link>
                           <router-link :to="{name: 'distribution'}" class="services-navigation-links dist responsive-men" >Distribution</router-link>
                          <router-link :to="{name: 'grooming'}" class="services-navigation-links groom responsive-men" >Professional Car Grooming Services</router-link>
                          <router-link :to="{name: 'academy'}" class="services-navigation-links acad responsive-men" >Academy</router-link>
                      <br>
                      <br>
                        <router-link :to="{name: 'contact'}" class="navigation-links responsive-link">Contact Us</router-link>
                      </v-list-item-title>
                    </v-list-item>
                  </v-list>
                  </v-menu>
                  </div>
                  </v-app>
          </div> -->
    </div>
</template>

<script>
export default {
    data:() => {
    return {
      hover: false,
      clickable:'',
       drawer: false,
      group: null,
      click:false,
    };
  },
  watch: {
    group () {
      this.drawer = false
    },
  },
  methods:{
    select: function(){
       this.drawer=true
    }
    
  }

}
</script>

<style scoped>

.v-list--nav {
    padding-left: 0px;
    padding-right: 0px;
}

.v-list {
  padding: 0px 0
}

.arrow-down{
padding-right: 20px;
}

button, a.button, button, [type=submit], [type=reset], [type=button] {
    border: 1px solid white;}
.title{
  padding-top: 30px;
  font-size: 1.5em;
  height: 74px;
  color: white;
}

.menu-drawer{
  background: #141414;
  padding-left: -50px;
}

.container-drawer{
  margin: 0;
  padding: 0
}
.menu-padding{
  padding-top: 10px;
  padding-left: 30px;
  padding-bottom: 10px
}
.menu-padding-service{

  padding-left: 20px
}

.services{
  font-size: 100px
}
.appbarwrapper{
  z-index: 999;
  margin: auto;
  text-align: center;
  width: 80%;
  padding: 6px 0;
}
.nav-bar{
  float: right;
  margin: 10px 0;
   color: white;
  display: none;

}

.icons-menu{
  padding: 0;
  margin: auto;
  text-align: center
}
.drawer{
  padding: 0;
  display:none
}


.wrapper {
  width: 100%;
  height: 80px;
  margin: auto;
  /* overflow: hidden; */

}

.logo{
    float: left;
}

.navigationDesktop {
  font-weight: bold;
  padding-top: 20px;
  float: right;
  clear: none;
  font-size: 1.2em;
  letter-spacing: 1px;
  position: relative;

}

.dist:hover{
  background: #545454;
  border-radius: 5px 5px 0 0;
}

.groom:hover{
  background: #545454
}

.acad:hover{
  background: #545454;
  border-radius: 0 0 5px 5px;
}

  .navigation-links{
  padding-left: 2vw;
  text-decoration: none;
  color:#141414;
  display: inline-block;
  position: relative;
}

.navigation-links:after{
   background: none repeat scroll 0 0 transparent;
  bottom: -5px;
  content: "";
  display: block;
  height: 3px;
  left: 50%;
  position: absolute;
  background: #194a8d;
  transition: width 0.3s ease 0s, left 0.3s ease 0s;
  width: 0;
}

.navigation-links:hover:after { 
  width: 50%; 
  left: 35px; 
}

.dropdown-head{
}

.dropdown-head:hover{
  cursor: pointer;
}

.dropdown{
  position: absolute;
  z-index: 1;
  right: 25%;
  width: 210px;
  margin-top: 10px;
  border-radius: 5px;
  background: rgb(40, 40, 40);
}

.responsive-link{
  width: 100%;
  height: 100%;
  text-align: left;
  margin: auto;
}

.responsive-men{
  background: white;
  margin: auto;
  text-align: left;

}

.services-navigation-links{
  display: flex; 
  flex-direction: row;
  text-align: left;
  padding-top: 20px;
  padding: 10px;
  padding-left: 30px;
  padding-right: 30px;
  text-decoration: none;
  font-size: 14px;
  color: white;
}

.router-link-active{
    color: #4579c2
}

.navigationResponsive{
  display: none
}

.test{
  padding-top: 7px;
  height: 50px;
  background-color: white
}

.menuButton{
  position: absolute;
  top: 0;
  right: 0;
  display: block;
}
@media screen and  (max-width:900px) {
  .menu-padding{
  padding-top: 10px;
  padding-left: 30px;
  padding-bottom: 10px
}

  .desktop-menu{
    display: none
  }

  .v-list-item--dense .v-list-item__title, .v-list-item--dense .v-list-item__subtitle, .v-list--dense .v-list-item .v-list-item__title, .v-list--dense .v-list-item .v-list-item__subtitle {
    font-size: 18px;
    font-weight: bold;
}

.dist:hover{
  background: #9f9f9f;
  border-radius: 5px 5px 0 0;
}

.groom:hover{
  background: #9f9f9f;

}

.acad:hover{
  background: #9f9f9f;
  border-radius: 0 0 5px 5px;
}

.nav-bar{
  color: white;
  display: block;
}
  .router-link-active{
    color: #4579c2
}

  .navigationDesktop{
    display: none;
  }

.navigationResponsive{
  display: inline;
  font-weight: bold;
  letter-spacing: 1px
  }

  .services-navigation-links{
  display: block; 
  flex-direction: row;
  text-align: left;
  padding-left: 42px;
  margin-left: 50px;
  text-decoration: none;
  font-size: 14px;
  color: black;
  margin:auto
}



  .logo{
    margin-top: 5px;
    width:150px;
    height: 50px;
    margin-bottom: 5px;

  }
  .wrapper{
    height: 80px;
    padding-top: 0
  }

  .navigationResponsive > li, .navigationResponsive > ul{
    list-style-type: none;
  }

.navigation-links{
padding-top: 10px;
padding-bottom: 10px;

font-size: 18px
}
.drawer{
  padding: 0;
  display:block
}

.dist:hover{
  background: unset;
  border-radius: unset;
}

.groom:hover{
    background: unset;
  border-radius: unset;
}

.acad:hover{
  background: unset;
  border-radius: unset;
}

}
</style>
